/*
	Theme Name: CFI
	Author: FKdesign
	Template: hello-elementor
*/

:root {

	--heading-1: 110px;
	--heading-2: 80px;
	--heading-3: 65px;
	--heading-4: 35px;
	--heading-5: 25px;
	--heading-6: 20px;
	--heading-7: 16px;
	
	--heading-special: 60px;
	
	--unit: 1px;
	--spacer: 50px;
	--resizer-small: 80px;

}



.elementor-element.e-con-boxed.e-con .e-con-inner {
	width: 90%;
}


body.home header.elementor-sticky__spacer {
	display: none;
}

.elementor-heading-title b {
	font-weight: 700;
}

body a:focus,
body .elementor-sub-item:focus {
	background-color: inherit;
}

@keyframes fade-in {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
	.fade-in-image {
	  opacity: 0;
	  animation: fade-in 2s ease-in forwards;
	}




@keyframes fade-and-move {
  from {
    opacity: 0;
    transform: translateY(30px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
	.animated-div-up-1 {
	  opacity: 0;
	  animation: fade-and-move 0.4s ease-in 1.5s forwards;
	}
	.animated-div-up-2 {
	  opacity: 0;
	  animation: fade-and-move 0.4s ease-in 1.8s forwards;
	}
	.animated-div-up-3 {
	  opacity: 0;
	  animation: fade-and-move 0.4s ease-in 2.1s forwards;
	}
/*
body.home .elementor.elementor-location-header header.elementor-sticky.elementor-sticky--active {
	background-color: transparent;
}
*/


.resizer-small.elementor-element {
	width: calc(100% - calc(var(--resizer-small) * 2));
    max-width: 2200px!important;
	margin-left: auto;
	margin-right: auto;
}

header.elementor-element .elementor-element.e-n-menu-layout-horizontal .elementor-widget-container {
	transition: all ease 0.3s;
}
header .elementor-element.elementor-widget.elementor-widget-nav-menu:not(header #mobile-nav-menu .elementor-element.elementor-widget.elementor-widget-nav-menu) {
    display: inline-flex;
    justify-content: flex-end;
}
header.elementor-element .elementor-widget-theme-site-logo.elementor-element img {
	transition: all ease-out 0.6s;
}

header.show.elementor-element {
	background-color: #000!important;
}

	header.show.elementor-element .elementor-widget-theme-site-logo.elementor-element img {
		width: 70px;
	}
	
	header.show.elementor-element .elementor-element.e-n-menu-layout-horizontal .elementor-widget-container:not(header.show.elementor-element .elementor-element.e-n-menu-layout-horizontal nav .elementor-widget-container) {
		padding-top: 0;
	}
	header.show.elementor-element .elementor-element.e-n-menu-layout-horizontal .submenu-control .elementor-widget-container {
		padding-top: 7px;
	}

	header.show.elementor-element .elementor-widget-n-menu .e-n-menu:not([data-layout=dropdown]):not(.content-above) .e-n-menu-content {
		top: calc(100% - 10px);
	}


button.hamburger[type=button]:focus,
button.hamburger[type=button]:hover,
button.hamburger[type=submit]:focus,
button.hamburger[type=submit]:hover,
button.hamburger:focus, button.hamburger:hover {
    color: inherit;
    background-color: inherit;
    text-decoration: inherit;
	outline: none;
}
button.hamburger.is-active .hamburger-inner,
button.hamburger.is-active .hamburger-inner:after,
button.hamburger.is-active .hamburger-inner:before {
    background-color: #FFF;
}


nav.elementor-nav-menu--dropdown ul ul.sub-menu {
	padding-bottom: 55px;
}

nav.elementor-nav-menu--dropdown ul ul.sub-menu a {
	font-size: 20px!important;
    padding-top: 10px!important;
    padding-bottom: 10px!important;
}




nav.elementor-nav-menu--dropdown ul.elementor-nav-menu--dropdown a,
nav.elementor-nav-menu--dropdown ul.elementor-nav-menu--dropdown a:focus,
nav.elementor-nav-menu--dropdown ul.elementor-nav-menu--dropdown a:hover {
    border-inline-start: 25px solid transparent;
}



button.hamburger {
    border: 0;
    padding: 0;
    border-radius: 0;
	outline: none;
}
button.hamburger .hamburger-inner,
button.hamburger .hamburger-inner:after,
button.hamburger .hamburger-inner:before {
    border-radius: 0;
    background-color: #FFF;
}


#mobile-nav-menu {
    position: fixed;
    top: 0!important;
    left: -150vw;
    bottom: 0;
    width: 100vw!important;
    height: 100vh;
    background-color: #000;
	transition: all ease 0.4s;
	/*inset-inline-start: 0;*/
	overflow: scroll;
	padding-bottom: 150px;
}
#mobile-nav-menu.open {
    left: 0!important;
}







footer nav ul li.title-footer a {
	font-size: var(--heading-4)!important;
}








#hero-spot {
	width: 40vw;
	display: flex;
	flex-direction: column;
	gap: calc(var(--unit) * 30);
}
#wrap-hero-random {
    width: 100vw;
    height: 100vh;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    padding: 5vw;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
	#wrap-hero-random .title {
		color: #FFF;
		font-size: var(--heading-1);
		line-height: 1em;
		font-weight: 700;
		font-family: "roboto-condensed", sans-serif;
	}
	#wrap-hero-random .description {
		color: #FFF;
		font-size: var(--heading-4);
		line-height: 1.1em;
		font-weight: 300;
		font-family: "aktiv-grotesk", sans-serif;
	}
	#wrap-hero-random .overlay {
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 50%;
		background-image: url('https://www.cfi-refrigerazione.it/wp-content/uploads/2024/05/sfumatura.png');
		background-size: cover; /* o qualsiasi altra dimensione sia necessaria */
		pointer-events: none; /* Per assicurarsi che gli eventi del mouse passino attraverso */
	}
	#hero-spot {
		z-index: 2;
		position: relative;
	}
	#hero-spot .btn {
		margin-top: 20px;
		font-weight: 600;
	}



.btn.elementor-element a {
    border-radius: 35px;
    padding: 15px 35px;
    text-transform: uppercase;
    color: #FFF;
    font-size: var(--heading-7);
	background-color: #D64E0C;
	font-family: "Roboto Condensed", Sans-serif;
}

.hover-preview.elementor-element {
    position: absolute;
    z-index: 2;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 25px;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
}



#prodotti-preview .hover-preview.btn {
	opacity: 0;
}

	#prodotti-preview .wrap-prodotti-preview:hover .hover-preview.txt,
	#prodotti-preview .wrap-prodotti-preview:hover .hover-preview.btn,
	#prodotti-preview .wrap-prodotti-preview img {
		transition: all ease-out 0.6s;
	}


	#prodotti-preview .wrap-prodotti-preview .elementor-widget-theme-post-featured-image {
		overflow: hidden;
	}

	#prodotti-preview .wrap-prodotti-preview img {
		opacity: 0.5;
	}
	#prodotti-preview .wrap-prodotti-preview:hover img {
		opacity: 1;
	}
	#prodotti-preview .wrap-prodotti-preview:hover .hover-preview.txt  {
		opacity: 0!important;
	}
	#prodotti-preview .wrap-prodotti-preview:hover .hover-preview.btn  {
		opacity: 1!important;
	}
	#prodotti-preview .wrap-prodotti-preview:hover .elementor-widget-theme-post-featured-image img {
		transform: scale(1.15);
	}




#carosello-link .swiper-pagination.swiper-pagination-progressbar {
	top: calc(100% + 10px);
}


#carosello-link .colonna-carosello {
	transition: all ease-out 0.6s;
}
#carosello-link .colonna-carosello:hover {
	opacity: 1!important;
}


.elementor .elementor-element .swiper-pagination span.swiper-pagination-bullet {
    height: 4px;
    width: 42px;
    border-radius: 2px;
}


.submenu-control.elementor-element nav ul li a.elementor-item:hover {
	color: #D64E0C!important;
}



#lista-icone .e-con-inner .e-grid .elementor-element.e-con img,
#lista-icone .e-con-inner .e-grid .elementor-element.e-con .elementor-heading-title {
	transition: all ease 0.4s;
}
#lista-icone .e-con-inner .e-grid .elementor-element.e-con:hover img {
	filter: brightness(0) invert(1);
	cursor: pointer;
}
	#lista-icone .e-con-inner .e-grid .elementor-element.e-con:hover .elementor-heading-title {
		color: #FFF;
		cursor: pointer;
	}


.wpml-ls-legacy-list-horizontal {
    padding: 0;
}

.wpml-ls-legacy-list-horizontal a.wpml-ls-link {
	padding: 0;
}
.wpml-ls-legacy-list-horizontal ul {
    display: flex;
    gap: 25px;
    justify-content: flex-end;
}




article h2,
article h3 {
	font-family: "Roboto Condensed";
	font-weight: 600;
}

article .img-size-1 {
	width: 300px;
	height: auto;
}




@media (max-width: 1280px) {
	:root {
		--heading-1: 90px;
		--heading-2: 70px;
		--heading-3: 55px;
		--heading-4: 28px;
		--heading-5: 20px;
		--heading-6: 18px;
		--heading-7: 14px;
		--unit: 1px;
		--spacer: 30px;
		--resizer-small: 40px;
		
		--heading-special: 50px;
	}
}

@media (max-width: 1024px) {
	body.stop_scroll {
		overflow: hidden;
	}
}

@media (max-width: 767px) {
	:root {
		--heading-1: 65px;
		--heading-2: 39px;
		--heading-3: 37px;
		--heading-4: 27px;
		--heading-5: 19px;
		--heading-6: 17px;
		--heading-7: 14px;
		--unit: 0.6px;
		--spacer: 25px;
		--resizer-small: 0px;
		
		--heading-special: 40px;
	}
	.elementor-element.e-con-boxed.e-con .e-con-inner {
		width: 84%;
	}
	.single-post .elementor-element.e-con-boxed.e-con .e-con-inner {
		width: 90%;
	}
	.single-post .elementor-element.e-con-boxed.e-con .e-con-inner .e-con-inner {
		width: 100%;
	}
	#hero-spot {
		width: 100%;
	}
	#footer-col-menu a {
		font-size: 18px;
	}
	.wpml-ls-legacy-list-horizontal ul {
		gap: 18px;
	}
}